%   FILE: flyn_letter.cls -- Flyn Computing letterhead.
% AUTHOR: W. Michael Petullo <suit@flyn.org>
%   DATE: 06 September 1999 
%
% Copyright (c) 1999 W. Michael Petullo <suit@flyn.org>
% All rights reserved.

\usepackage[dvips]{graphics}

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{flyn_letter}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{letter}}
\ProcessOptions
\LoadClass{letter}

\setlength{\evensidemargin}{0in}
\setlength{\oddsidemargin}{0in}
\setlength{\topmargin}{-20pt}
\setlength{\textwidth}{6.5in}
\setlength{\headsep}{10pt}

\DeclareFixedFont{\xviisf}{OT1}{cmss}{m}{n}{17}

% ============================= logo () ======================================= 
\newsavebox{\logo}

\sbox{\logo}
{
	\parbox[b]{0.33in}{
	% Should be a 0.33 x 1.00 in. image.
	\includegraphics{/usr/share/flyn_docs/flyn.ps}}
}

% ============================= flyncomputing () ============================== 
\newsavebox{\flyncomputing}

\sbox{\flyncomputing}
{
	\parbox[b]{6.17in}{
		{\xviisf Flyn Computing} \\
		\makebox[3em][l]{smtp:} suit@flyn.org \\
		\makebox[3em][l]{http:} www.flyn.org
	}
}

% ============================= flynhead () =================================== 
\newsavebox{\flynhead}

\sbox{\flynhead}
{
	\parbox{\textwidth}{
		\usebox{\logo}
		\usebox{\flyncomputing} \\[3pt]
		\rule{\textwidth}{1pt} \\[3pt]
		\today
	}
}

% ============================= firstpage () ================================== 
\renewcommand{\ps@firstpage}
{
	\setlength{\headheight}{41pt}
	\setlength{\headsep}{25pt}
	\renewcommand{\@oddhead}{
		\usebox{\flynhead}
	}
	\renewcommand{\@oddfoot}{}{}
	\renewcommand{\@evenhead}{}{}
	\renewcommand{\@evenfoot}{}{}
}

% ============================= sigblock () =================================== 
\newcommand{\@sigblock}{}
\newcommand{\sigblock}[1]
{
	\renewcommand{\@sigblock} {
		#1
	}
}

% ============================= recipient () ================================== 
\newcommand{\@recipient}{}
\newcommand{\recipient}[1]
{
	\renewcommand{\@recipient} {
		#1
	}
}

% ============================= opening () ==================================== 
\renewcommand{\opening}
{
	\thispagestyle{firstpage}
	\noindent
	\parbox{\textwidth} {
		\toname \\
		\toaddress \\[15pt]
		Dear \@recipient:
	}
}

% ============================= closing () ==================================== 
\renewcommand{\closing}
{
	\hspace*{57.5mm}\parbox{\textwidth} {
		Sincerely, \\[15pt]
		\vspace{45pt} \\
		\@sigblock
	}
}
